Loading...
Searching...
No Matches
Halide::Internal::GeneratorParam_AutoSchedulerParams Class Reference

`#include <Generator.h>`

Inheritance diagram for Halide::Internal::GeneratorParam_AutoSchedulerParams:

## Public Member Functions

| GeneratorParam_AutoSchedulerParams ()
void | set_from_string (const std::string &new_value_string) override
std::string | get_default_value () const override
std::string | call_to_string (const std::string &v) const override
std::string | get_c_type () const override
Public Member Functions inherited from Halide::Internal::GeneratorParamImpl< AutoschedulerParams >
| GeneratorParamImpl (const std::string &name, const AutoschedulerParams &value)
AutoschedulerParams | value () const
| operator AutoschedulerParams () const
| operator Expr () const
void | set (const std::string &new_value)
Public Member Functions inherited from Halide::Internal::GeneratorParamBase
| GeneratorParamBase (const std::string &name)
virtual | ~GeneratorParamBase ()
const std::string & | name () const
void | set (const std::string &new_value)
void | set (const char *new_value)
| GeneratorParamBase (const GeneratorParamBase &)=delete
GeneratorParamBase & | operator= (const GeneratorParamBase &)=delete
| GeneratorParamBase (GeneratorParamBase &&)=delete
GeneratorParamBase & | operator= (GeneratorParamBase &&)=delete

## Additional Inherited Members

Public Types inherited from Halide::Internal::GeneratorParamImpl< AutoschedulerParams >
using | type
Protected Member Functions inherited from Halide::Internal::GeneratorParamImpl< AutoschedulerParams >
virtual void | set_impl (const AutoschedulerParams &new_value)
Protected Member Functions inherited from Halide::Internal::GeneratorParamBase
void | check_value_readable () const
void | check_value_writable () const
virtual std::string | get_type_decls () const
virtual bool | is_synthetic_param () const
virtual bool | is_looplevel_param () const
void | fail_wrong_type (const char *type)
Protected Attributes inherited from Halide::Internal::GeneratorParamImpl< AutoschedulerParams >
AutoschedulerParams | value_

## Detailed Description

Definition at line 635 of file Generator.h.

## Constructor & Destructor Documentation

## GeneratorParam_AutoSchedulerParams()

Halide::Internal::GeneratorParam_AutoSchedulerParams::GeneratorParam_AutoSchedulerParams | ( |  | ) |

## Member Function Documentation

## set_from_string()

void Halide::Internal::GeneratorParam_AutoSchedulerParams::set_from_string | ( | const std::string & | new_value_string | ) |

override virtual

Implements Halide::Internal::GeneratorParamBase.

## get_default_value()

std::string Halide::Internal::GeneratorParam_AutoSchedulerParams::get_default_value | ( |  | ) | const

override virtual

Implements Halide::Internal::GeneratorParamBase.

## call_to_string()

std::string Halide::Internal::GeneratorParam_AutoSchedulerParams::call_to_string | ( | const std::string & | v | ) | const

override virtual

Implements Halide::Internal::GeneratorParamBase.

## get_c_type()

std::string Halide::Internal::GeneratorParam_AutoSchedulerParams::get_c_type | ( |  | ) | const

override virtual

Implements Halide::Internal::GeneratorParamBase.

The documentation for this class was generated from the following file:

- src/Generator.h